#!/bin/bash

echo ""
echo ""

echo "--- Disabling Firewall..."
echo "-------------------------"
echo "y" | ufw disable
echo "-------------------------"
echo "--- Firewall Disabled."

echo ""
echo ""

echo "--- Resetting Firewall..."
echo "-------------------------"
echo "y" | ufw reset
echo "-------------------------"
echo "--- Firewall Reset."

echo ""
echo ""

ServerPortRAW=$(awk '$1=="ServerPort"{print $3}' /home/radiopro/server/ServerSettings.cfg)
ServerPort=$(echo $ServerPortRAW | sed -e 's/\r//g')
echo Server Port is $ServerPort

ARSPortRAW=$(awk '$1=="ARSPort"{print $3}' /home/radiopro/server/ServerSettings.cfg)
ARSPort=$(echo $ARSPortRAW | sed -e 's/\r//g')
echo ARS Port is $ARSPort

TMSPortRAW=$(awk '$1=="TMSPort"{print $3}' /home/radiopro/server/ServerSettings.cfg)
TMSPort=$(echo $TMSPortRAW | sed -e 's/\r//g')
echo TMS Port is $TMSPort

TallysmanSpritePortRAW=$(awk '$1=="TallysmanSpritePort"{print $3}' /home/radiopro/server/ServerSettings.cfg)
TallysmanSpritePort=$(echo $TallysmanSpritePortRAW | sed -e 's/\r//g')
echo TMS Port is $TallysmanSpritePort

echo ""
echo ""


echo "--- Adding Firewall Rules..."
echo "----------------------------"

echo ""

echo "*** Adding RadioPro Client Connection Port Rule:"
#Client Connection Port
ufw allow ${ServerPort}

echo ""

echo "*** Adding ARS Port Rule:"
#Client Connection Port
ufw allow ${ARSPort}

echo ""

echo "*** Adding TMS Port Rule:"
#Client Connection Port
ufw allow ${TMSPort}

echo ""

echo "*** Adding TallysmanSprite Port Rule:"
#Client Connection Port
ufw allow ${TallysmanSpritePort}

echo ""

echo "*** Adding SSH Port Rule:"
#SSH Port
ufw allow 48444

echo ""

echo "*** Adding Rules for ICU Ports:"
#ICU Ports
ufw allow 48501
ufw allow 48502

echo ""

echo "*** Adding Temp Web Portal Port Rule:"
#Temporary Web Portal from ICU
ufw allow 5000

echo ""

echo "*** Adding Rules for Samba Service Ports:"
#samba
ufw allow 137
ufw allow 138
ufw allow 139
ufw allow 445

echo ""

echo "*** Adding Location Server UDP Port Rule:"
#SSH Port
ufw allow 4001

echo ""

echo "----------------------------"
echo "--- Firewall Rules Added."

echo ""
echo ""

echo "--- Enabling Firewall..."
echo "----------------------------"
echo "y" | ufw enable
echo "----------------------------"
echo "--- Firewall Enabled."

echo ""
echo ""

echo "----------------------------"
echo "----------------------------"
echo "Done."